
TYPO3.Flow - Task # 52280

Status: Under Review Priority: Should have
Author: Michael Gerdemann Category:
Created: 2013-09-26 Assigned To:
Updated: 2013-10-05 Due date:
Sprint:
PHP Version:
Has patch: Yes
Complexity:
Subject: Throw Exception if there is an array in PSR-0 autoload
Description

It would be nice if TYPO3 Flow throws an Exception if there is an array in PSR-0 autoload in composer.json.

Example:

"autoload": { "psr-0":{ "placeholder": ["src/", "src2/"] } },

Patch:

if (is_array($this->getComposerManifest()->autoload->{'psr-0'}->{$this->getNamespace()})) {
    throw new \TYPO3\Flow\Package\Exception\InvalidPackageManifestException(sprintf('The autoload for package "%s" is an
array. Please change it to string at "%scomposer.json".', $packageKey, $this->packagePath.$manifestPath), 1380172921);
}

Related issues:
related to TYPO3.Flow - Bug # 43541: Incomplete classes path detection for PSR-0 New 2012-12-03

History
#1 - 2013-09-26 08:01 - Michael Gerdemann
- File patch_1.diff added

#2 - 2013-10-02 13:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24252

#3 - 2013-10-04 13:30 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24252
#4 - 2013-10-05 11:29 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24252

#5 - 2013-10-05 11:30 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24252

Files
patch_1.diff 927 Bytes 2013-09-26 Michael Gerdemann
patch_1.diff 1 kB 2013-09-26 Michael Gerdemann
